netgear d6100_firmware 跨界内存写

CVE编号

CVE-2018-21189

利用情况

暂无

补丁情况

N/A

披露时间

2020-04-29
漏洞描述
NETGEAR D6100等都是美国网件(NETGEAR)公司的产品。NETGEAR D6100是一款无线调制解调器。NETGEAR WNDR3700是一款无线路由器。NETGEAR R6100是一款无线路由器。

多款NETGEAR产品中存在缓冲区溢出漏洞,该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作,攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。
解决建议
厂商已发布了漏洞修复程序,请及时关注更新:
https://kb.netgear.com/000055168/Security-Advisory-for-Post-Authentication-Stack-Overflow-on-Some-Routers-and-Gateways-PSV-2017-2606
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
系统 netgear d6100_firmware * Up to
(excluding)
1.0.0.57
运行在以下环境
系统 netgear r6100_firmware * Up to
(excluding)
1.0.1.20
运行在以下环境
系统 netgear r7800_firmware * Up to
(excluding)
1.0.2.40
运行在以下环境
系统 netgear r9000_firmware * Up to
(excluding)
1.0.2.52
运行在以下环境
系统 netgear wndr3700_firmware * Up to
(excluding)
1.0.2.92
运行在以下环境
系统 netgear wndr4300_firmware * Up to
(excluding)
1.0.0.50
运行在以下环境
系统 netgear wndr4300_firmware * Up to
(excluding)
1.0.2.94
运行在以下环境
系统 netgear wndr4500_firmware * Up to
(excluding)
1.0.0.50
运行在以下环境
系统 netgear wnr2000_firmware * Up to
(excluding)
1.0.0.62
运行在以下环境
硬件 netgear d6100 - -
运行在以下环境
硬件 netgear r6100 - -
运行在以下环境
硬件 netgear r7800 - -
运行在以下环境
硬件 netgear r9000 - -
运行在以下环境
硬件 netgear wndr3700 v4 -
运行在以下环境
硬件 netgear wndr4300 - -
运行在以下环境
硬件 netgear wndr4300 v2 -
运行在以下环境
硬件 netgear wndr4500 v3 -
运行在以下环境
硬件 netgear wnr2000 v5 -
CVSS3评分
6.8
  • 攻击路径
    相邻
  • 攻击复杂度
  • 权限要求
  • 影响范围
    未更改
  • 用户交互
  • 可用性
  • 保密性
  • 完整性
CWE-ID 漏洞类型
CWE-787 跨界内存写
阿里云安全产品覆盖情况